<?php

    // FRONT CONTROLLER

    // Requerimos pequños archivo para configuraciones del sistema

    require_once __DIR__ . '/../app/config/app.php';

    // Requerimos datos del archivo .env y lo guardamos en array $_ENV

    $env = parse_ini_file(__DIR__ . '/../.env');

    foreach ($env as $key => $value) {
        
        $_ENV[$key] = $value;
    }

    // Requerimos archivos para el layout de todo el sistema

    require_once __DIR__ . '/../app/includes/page.php'; // Arma el layout
    require_once __DIR__ . '/../app/controllers/pageController.php'; // Obtiene el body y lo retorna

    $body = getBodyContent(); // Body desde pageController
    $page = new Page();
    $page->setBody($body); // Lo pasa como parámetro a page.php
    echo $page->getHTML(); // Obtenemos HTML

?>